<?php

namespace App\Services\Interfaces;

use App\Models\WorkDay;
use Illuminate\Http\Request;

interface WorkDayRepositoryInterface
{
    public function get(Request $request);
    public function save(Request $request, ?WorkDay $workDay): WorkDay;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
